\name{plot.stamFit}
\alias{plot.stamFit}
\title{Plots for StAM Model Fit}
\description{
  Overall alpha vs. delta plot as well as nodewise scatter plots on 
  performance/redundancy and specificity/sensitivity.
}
\usage{
plot.stamFit(x, outfile = NULL, aclass = NULL, main = NULL,
             which = 0, res = 72, ps = FALSE, pointsize = 12, ...)
}
\arguments{
  \item{x}{the object of type stamFit for which the plots are to be drawn}
  \item{outfile}{name of output file if postscript or PNG graphics is to be generated. 
    The extension of the file is chosen automatically according to the \code{ps} 
    argument. The filename is also augmented by suffixses to distinguish the plots 
    generated. If no outfile is specified, an interactive plot is attempted}
  \item{aclass}{the name of the phenotype class of interest, usually the disease class}
  \item{which}{choose the plot to be generated. 1:alpha vs. delta, 2:nodewise evaluation, 
    0:both plots in interactive mode, non otherwise.}
  \item{main}{the main title of the plot, generated automatically if left blank}
  \item{res}{resolution in points per inch}
  \item{ps}{if set to TRUE postscript output is generated}
  \item{pointsize}{the standard fontsize}
  \item{\dots}{additional arguments to be passed to plot}
}
\details{
  If several values for alpha are provided to stam.fit plot.stamFit generates a compound 
  score vs. shrinkage level plot. For each alpha one line is drawn and the best shrinkage
  (where the minimum is achieved) is marked. In a second pane of the same plot alpha is 
  plotted vs. these best shrinkage levels.

  Additionally nodewise scatter plots comparing performance vs. 
  redundancy and sensitivity vs. specificity are generated.
}
\author{Claudio Lottaz}
\seealso{\code{\link{stam.fit}}}
\keyword{hplot}
